Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-SU-2017:3192-1: moderate: Security update for openssl
openSUSE Security Update: Security update for openssl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:3192-1
Rating: moderate
References: #1055825 #1056058 #1065363 #1066242
Cross-References: CVE-2017-3735 CVE-2017-3736
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that solves two vulnerabilities and has two fixes
is now available.

Description:

This update for openssl fixes the following issues:

Security issues fixed:

- CVE-2017-3735: openssl1,openssl: Malformed X.509 IPAdressFamily could
cause OOB read (bsc#1056058)
- CVE-2017-3736: openssl: bn_sqrx8x_internal carry bug on x86_64
(bsc#1066242)
- Out of bounds read+crash in DES_fcrypt (bsc#1065363)
- openssl DEFAULT_SUSE cipher list is missing ECDHE-ECDSA ciphers
(bsc#1055825)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1324=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1324=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libopenssl-devel-1.0.2j-13.1
libopenssl1_0_0-1.0.2j-13.1
libopenssl1_0_0-debuginfo-1.0.2j-13.1
libopenssl1_0_0-hmac-1.0.2j-13.1
openssl-1.0.2j-13.1
openssl-cavs-1.0.2j-13.1
openssl-cavs-debuginfo-1.0.2j-13.1
openssl-debuginfo-1.0.2j-13.1
openssl-debugsource-1.0.2j-13.1

- openSUSE Leap 42.3 (noarch):

openssl-doc-1.0.2j-13.1

- openSUSE Leap 42.3 (x86_64):

libopenssl-devel-32bit-1.0.2j-13.1
libopenssl1_0_0-32bit-1.0.2j-13.1
libopenssl1_0_0-debuginfo-32bit-1.0.2j-13.1
libopenssl1_0_0-hmac-32bit-1.0.2j-13.1

- openSUSE Leap 42.2 (i586 x86_64):

libopenssl-devel-1.0.2j-6.6.1
libopenssl1_0_0-1.0.2j-6.6.1
libopenssl1_0_0-debuginfo-1.0.2j-6.6.1
libopenssl1_0_0-hmac-1.0.2j-6.6.1
openssl-1.0.2j-6.6.1
openssl-cavs-1.0.2j-6.6.1
openssl-cavs-debuginfo-1.0.2j-6.6.1
openssl-debuginfo-1.0.2j-6.6.1
openssl-debugsource-1.0.2j-6.6.1

- openSUSE Leap 42.2 (x86_64):

libopenssl-devel-32bit-1.0.2j-6.6.1
libopenssl1_0_0-32bit-1.0.2j-6.6.1
libopenssl1_0_0-debuginfo-32bit-1.0.2j-6.6.1
libopenssl1_0_0-hmac-32bit-1.0.2j-6.6.1

- openSUSE Leap 42.2 (noarch):

openssl-doc-1.0.2j-6.6.1


References:

https://www.suse.com/security/cve/CVE-2017-3735.html
https://www.suse.com/security/cve/CVE-2017-3736.html
https://bugzilla.suse.com/1055825
https://bugzilla.suse.com/1056058
https://bugzilla.suse.com/1065363
https://bugzilla.suse.com/1066242


< Previous Next >
This Thread
  • No further messages